
// $Id: JAXPDemo.java,v 1.2 2001/08/15 17:06:17 larsga Exp $

import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.ParserConfigurationException;
import org.xml.sax.SAXException;

public class JAXPDemo {

  public static void main(String[] args) {
    try {
      SAXParserFactory factory = SAXParserFactory.newInstance();
      SAXParser parser = factory.newSAXParser();
    
      System.out.println("Parser: " + parser.getClass());
      System.out.println("Namespace-aware: " + parser.isNamespaceAware());
      System.out.println("Validating: " + parser.isValidating());
    }
    catch (ParserConfigurationException e) {
      System.err.println("ERROR: " + e);
    }
    catch (SAXException e) {
      System.err.println("ERROR: " + e);
    }
  }

}
