
import java.util.ArrayList;
import java.util.List;

public abstract class NodeWithChildren extends NodeWithTitle {
  protected List children;

  public NodeWithChildren(Node parent, String id) {
    super(parent, id);
    children = new ArrayList();
  }  

  public List getChildren() {
    return children;
  }

  public void addChild(Node child) {
    children.add(child);
  }

  public void removeChild(Node child) {
    children.remove(child);
  }
}
