<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:foo="http://foo.org/xslt/extensions"
                extension-element-prefixes="foo"
                version="1.0">

  <xsl:template match = "/">
    <xsl:choose>
      <xsl:when test = "not(element-available('foo:bar'))">
        <xsl:message terminate="yes">
        Sorry, support for the foo:bar element required to run this
        stylesheet. Try using the XSLT processor from foo.org instead!
        </xsl:message>
      </xsl:when>
      <xsl:otherwise>
        [...proceed to use the foo:bar instruction for something 
        useful...]
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
