
import sys, string
from xml.dom import Node
from xml.dom.ext.reader.Sax2 import Reader
from xml.xpath import Evaluate, CreateContext, RegisterExtensionModules

from xpathgen import make_xpath_expr

def print_node_set(nodeset):
    for node in nodeset:
        print "\t", make_xpath_expr(node)

RegisterExtensionModules(['xpathutils'])
        
text = sys.argv[1]
expr = "//text() [ lmg:find(., '%s') != -1 ]" % text
files = sys.argv[2 : ]

for file in files:
    print "===", file
    doc = Reader().fromStream(open(file))
    context = CreateContext(doc)
    context.processorNss["lmg"] = "http://garshol.priv.no/symbolic/"
    result = Evaluate(expr, None, context)

    if type(result) == type([]):
        print_node_set(result)
    else:
        print result

    print
