
/**
 * A common base class for the xbel, folder and bookmark elements,
 * representing a node with ID, title and description.
 */

public abstract class NodeWithTitle extends Node {
  protected String id;
  protected String title;
  protected String description;

  public NodeWithTitle(Node parent, String id) {
    super(parent);
    this.id = id;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }
  
}
