
from xml.parsers.xmlproc import xmlproc

class MyApplication(xmlproc.Application):

    def handle_start_tag(self, name, attrs):
        print "Element %s just started" % repr(name)

    def handle_end_tag(self, name):
        print "Element %s just ended" % repr(name)
    

p = xmlproc.XMLProcessor()
p.set_application(MyApplication())

p.feed("<doc>")
p.feed("This is some example text, which doesn't get printed, since")
p.feed("there is no character data handler.")
p.feed("<p>Hmmm. Previous text should also have been in a para.</p>")
p.feed("</doc>")
p.close()
